//---------------------------------------------------------------------------
#ifndef MixThreadH
#define MixThreadH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include "headman.h"
//---------------------------------------------------------------------------
void __fastcall MixPoolClear(TStringList *ofFiles=NULL);
long __fastcall MixPoolCount();

class TMixMessage
{
private:
   long __fastcall MixMessage(TStrings *Message, AnsiString &Chain, int copies,
      TStringList *Feedback);
protected:
public:
   int Copies;
   AnsiString Msg;
   TStrings *display;
   bool Finished,Cancelled;
   AnsiString From,Host,Chain;
   THeaderManager *HeadMan;
   TProgressBar *ProgressBar;
   TStringList *Message,*Feedback;
   __fastcall TMixMessage(TStringList *message, TStrings *aDisplay,
      TProgressBar *progressbar, TStringList *Feedback);
   __fastcall ~TMixMessage();
   long __fastcall Execute();
};

const AnsiString MixmasterChain = "Mixmaster Chain";
//---------------------------------------------------------------------------
#endif
