//---------------------------------------------------------------------------
#ifndef PackDlgH
#define PackDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "FileMan.h"
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall PackDatabase();

class TPackForm : public TForm
{
__published:	// IDE-managed Components
   TButton *CancelBtn;
   TButton *OkBtn;
   TPanel *Panel1;
   TLabel *Label1;
   TButton *HelpBtn;
   TRichEdit *ProgressLog;
  TLabel *Label2;
   void __fastcall FormShow(TObject *Sender);
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
   void __fastcall OkBtnClick(TObject *Sender);
   void __fastcall CancelBtnClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
   int errs,items;
   AnsiString TmpDat;
   bool packed,cancel,started;
   TFileManager *frFileMan;
   TFileManager *toFileMan;
   __fastcall TPackForm(TComponent* Owner);
   void __fastcall Execute();
   void __fastcall Pack();
   void __fastcall PackIndex(AnsiString &path, TFMindex *frParent, TFMindex *toParent);
   void __fastcall DisplayStatus(TFileManager *FileMan, AnsiString &IndexName);
};
//---------------------------------------------------------------------------
extern TPackForm *PackForm;
//---------------------------------------------------------------------------
#endif
