# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QS.exe
OBJFILES = QS.obj MainMDI.obj NoteWin.obj NoteWin1.obj FileWin.obj RptWin.obj \
   MsgWin.obj MsgInWin.obj PGPpassEx.obj PackDlg.obj PrintDlg.obj SmtpDlg.obj \
   AddrsDlg.obj QueueDlg.obj OpenDlg.obj AboutDlg.obj SaveDlg.obj GetStrtDlg.obj \
   WaitDlg.obj DelGrpsDlg.obj ClipReply.obj DirBrow.obj HttpDlg.obj UrlsDlg.obj \
   PicBoxDlg.obj MailDlg.obj NNameDlg.obj MBoxWin.obj Mixmaster.obj \
   MixmastDlg.obj MixInstDlg.obj MixMsg.obj UPDUnzipDlg.obj UPDateDlg.obj \
   UPDedDlg.obj UPDFtpDlg.obj Wiper.obj FileMan.obj Fmxutils.obj MimeMan.obj \
   Version.obj Global.obj HeadMan.obj Console.obj pop3mail.obj pgpmail.obj \
   PreferDlg.obj PgpFiles.obj HelpDlg.obj Cyberpunk.obj ImportDlg.obj \
   DocMsgDlg.obj DelDocsDlg.obj View.obj UseLibDlg.obj
RESFILES = QS.res
RESDEPEN = $(RESFILES) MainMDI.dfm NoteWin.dfm NoteWin1.dfm FileWin.dfm \
   RptWin.dfm MsgWin.dfm MsgInWin.dfm PGPpassEx.dfm PackDlg.dfm PrintDlg.dfm \
   SmtpDlg.dfm AddrsDlg.dfm QueueDlg.dfm OpenDlg.dfm AboutDlg.dfm SaveDlg.dfm \
   GetStrtDlg.dfm WaitDlg.dfm DelGrpsDlg.dfm ClipReply.dfm DirBrow.dfm \
   HttpDlg.dfm UrlsDlg.dfm PicBoxDlg.dfm MailDlg.dfm NNameDlg.dfm MBoxWin.dfm \
   MixmastDlg.dfm MixInstDlg.dfm UPDUnzipDlg.dfm UPDateDlg.dfm UPDedDlg.dfm \
   UPDFtpDlg.dfm Wiper.dfm PreferDlg.dfm HelpDlg.dfm ImportDlg.dfm DocMsgDlg.dfm \
   DelDocsDlg.dfm View.dfm UseLibDlg.dfm
LIBFILES = zlib.LIB
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -I$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox \
   -W -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox 
LFLAGS = -L$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

